Algebraic Structures

Various algebraic structures. More...

## Classes

class | regina::NAbelianGroup
| Represents a finitely generated abelian group. More...
struct | regina::NGroupExpressionTerm
| Represents a power of a generator in a group presentation. More...
class | regina::NGroupExpression
| Represents an expression involving generators from a group presentation or a free group. More...
class | regina::NGroupPresentation
| Represents a finite presentation of a group. More...
class | regina::NHomGroupPresentation
| Represents a homomorphism between groups which are described via finite presentations. More...
class | regina::NMarkedAbelianGroup
| Represents a finitely generated abelian group given by a chain complex. More...
class | regina::NHomMarkedAbelianGroup
| Represents a homomorphism of finitely generated abelian groups. More...
class | regina::NXMLAbelianGroupReader
| An XML element reader that reads a single abelian group. More...
class | regina::NXMLGroupPresentationReader
| An XML element reader that reads a single group presentation. More...
class | regina::NHomologicalData
| Data type that deals with all the detailed homological information in a manifold. More...

## Functions

REGINA_API std::ostream & | regina::operator<< (std::ostream &out, const NGroupExpressionTerm &term)
| Writes the given term to the given output stream. More...

## Detailed Description

Various algebraic structures.

## Function Documentation

REGINA_API std::ostream& regina::operator<< | ( | std::ostream & | out,
|  | const NGroupExpressionTerm & | term
| ) |  |

Writes the given term to the given output stream.

The term will be written in the format `g3^-7`, where in this example the term represents generator number 3 raised to the -7th power.

If the term has exponent 0 or 1, the output format will be appropriately simplified.

Parameters

  out | the output stream to which to write.
  term | the term to write.

Returns
  a reference to the given output stream.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).